Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::Level1Quantizer Struct Reference

`#include <IndexIVF.h>`

Inheritance diagram for faiss::Level1Quantizer:

## Public Member Functions
void | train_q1 (size_t n, const float *x, bool verbose, MetricType metric_type)
| Trains the quantizer and calls train_residual to train sub-quantizers.
| Level1Quantizer (Index *quantizer, size_t nlist)

## Public Attributes
Index * | quantizer
| quantizer that maps vectors to inverted lists
size_t | nlist
| number of possible key values
char | quantizer_trains_alone
bool | own_fields
| whether object owns the quantizer
ClusteringParameters | cp
| to override default clustering params
Index * | clustering_index
| to override index used during clustering

## Detailed Description

Encapsulates a quantizer object for the IndexIVF

The class isolates the fields that are independent of the storage of the lists (especially training)

Definition at line 32 of file IndexIVF.h.

## Member Data Documentation

char faiss::Level1Quantizer::quantizer_trains_alone

= 0: use the quantizer as index in a kmeans training = 1: just pass on the training set to the train() of the quantizer = 2: kmeans training on a flat index + add the centroids to the quantizer

Definition at line 41 of file IndexIVF.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/IndexIVF.h
- /tmp/faiss/IndexIVF.cpp